[android-components](../../index.md) / [mozilla.components.lib.crash.ui](../index.md) / [AbstractCrashListActivity](index.md) / [onCrashServiceSelected](./on-crash-service-selected.md)

# onCrashServiceSelected

`abstract fun onCrashServiceSelected(url: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/lib/crash/src/main/java/mozilla/components/lib/crash/ui/AbstractCrashListActivity.kt#L36)

Gets invoked whenever the user selects a crash reporting service.

### Parameters

`url` - URL pointing to the crash report for the selected crash reporting service.